﻿using HarmonyLib;
using System.Reflection;
using UnityEngine;

public class SitAndFish : Mod
{
    Harmony harmonyInstance;
    public void Start()
    {
        harmonyInstance = new Harmony("com.github.alexpw.sitandfish");
        harmonyInstance.PatchAll(Assembly.GetExecutingAssembly());
        Debug.Log("Mod SitAndFish has been loaded!");
	}

    public void OnModUnload()
    {
        harmonyInstance.UnpatchAll();
        Debug.Log("Mod SitAndFish has been unloaded!");
    }
}

[HarmonyPatch(typeof(Chair))]
[HarmonyPatch("Sit")]
internal class Chair_Sit_Patch
{
	private static void Prefix(Network_Player player)
	{
		bool isLocalPlayer = player.IsLocalPlayer;
		if (isLocalPlayer)
		{
			currentItem = player.PlayerItemManager.useItemController.GetCurrentItemInHand();
		}
	}

	private static void Postfix(Network_Player player)
	{
		bool isLocalPlayer = player.IsLocalPlayer;
		if (isLocalPlayer)
		{
			PlayerItemManager.IsBusy = false;
			bool flag = currentItem == null;
			if (!flag)
			{
				player.PlayerItemManager.SelectUsable(currentItem);
			}
		}
	}

	private static Item_Base currentItem;
}
